v1
Update Agent
Update an agent (by UUID or workspace-scoped slug).
PATCH
/
v1
/
agents
/
{agent_id}
Update Agent
curl --request PATCH \
--url https://api.example.com/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"a2ui_enabled": true,
"capabilities": [
"<string>"
],
"description": "<string>",
"events_config": {
"events": [
{
"event_type": "<string>",
"config": {},
"enabled": true
}
]
},
"instruction": "<string>",
"model_id": "<string>",
"name": "<string>",
"planning": true,
"skill_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tools": [
{
"name": "<string>",
"settings": {
"disabled_methods": [
"<string>"
],
"requires_user_confirmation": true
},
"type": "code"
}
]
}
'import requests
url = "https://api.example.com/v1/agents/{agent_id}"
payload = {
"a2ui_enabled": True,
"capabilities": ["<string>"],
"description": "<string>",
"events_config": { "events": [
{
"event_type": "<string>",
"config": {},
"enabled": True
}
] },
"instruction": "<string>",
"model_id": "<string>",
"name": "<string>",
"planning": True,
"skill_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tools": [
{
"name": "<string>",
"settings": {
"disabled_methods": ["<string>"],
"requires_user_confirmation": True
},
"type": "code"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
a2ui_enabled: true,
capabilities: ['<string>'],
description: '<string>',
events_config: {events: [{event_type: '<string>', config: {}, enabled: true}]},
instruction: '<string>',
model_id: '<string>',
name: '<string>',
planning: true,
skill_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tools: [
{
name: '<string>',
settings: {disabled_methods: ['<string>'], requires_user_confirmation: true},
type: 'code'
}
]
})
};
fetch('https://api.example.com/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"a2ui_enabled": true,
"agent_type": "stateless",
"description": "<string>",
"events_config": {},
"instruction": "<string>",
"is_catalog": false,
"model_id": "<string>",
"planning": true,
"registry_item_id": "<string>",
"skills": [
{}
],
"tools": [
{
"name": "<string>",
"settings": {
"disabled_methods": [
"<string>"
],
"requires_user_confirmation": true
},
"type": "code"
}
],
"update_available": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Patch payload for an agent. All fields optional — unset = unchanged.
Available options:
stateless, stateful Maximum string length:
1000Per-agent event subscriptions.
Show child attributes
Show child attributes
Maximum string length:
20000Required string length:
1 - 255tools
(CodeToolConfig · object | McpToolConfig · object | AgentToolConfig · object | OpenApiToolConfig · object)[] | null
- CodeToolConfig
- McpToolConfig
- AgentToolConfig
- OpenApiToolConfig
Show child attributes
Show child attributes
Response
Successful Response
tools
(CodeToolConfig · object | McpToolConfig · object | AgentToolConfig · object | OpenApiToolConfig · object)[] | null
- CodeToolConfig
- McpToolConfig
- AgentToolConfig
- OpenApiToolConfig
Show child attributes
Show child attributes
⌘I
Update Agent
